#pragma once
#include "AbstractAction.h"
#include "SimulationParametersDTO.h"
#include "StartSimulationAction.h"

class ActionFactory
{
public:
	static AbstractAction* createStartSimulatorAction(bool continuous, double avgTimeOfArrivals, double simulationTime, int numberOfSimulations);
	static AbstractAction* createStepSimulatorAction(int stepInterval);
	static AbstractAction* createStopSimulatorAction();
};